This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 798766 - emacs doesn't compile on ARM
emacs doesn't compile on ARM
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karel Klíč
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2012-02-29 14:46 EST by Peter Robinson
Modified: 2013-03-03 18:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-06 08:32:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2012-02-29 14:46:33 EST
Emacs 24 doesn't compile on ARM platforms. v23 use to.

http://arm.koji.fedoraproject.org/koji/buildinfo?buildID=56660

The error is:
Wrong type argument: listp, 2945660
Comment 1 Dan Horák 2012-03-02 13:51:52 EST
Peter, can you try to build the latest source from http://git.savannah.gnu.org/gitweb/?p=emacs.git;a=summary ? Also please create an upstream bug report, they acted very promptly on my issue on s390.
Comment 2 Peter Robinson 2012-03-06 08:32:00 EST
The latest snapshot in rawhide now builds

Note You need to log in before you can comment on or make changes to this bug.